/*---------------------------------------
Template created by Christina Truong
for Ladies Learning Code 
http://ladieslearningcode.com
http://christinatruong.com
-----------------------------------------*/


/* GLOBAL STYLES
-----------------*/
/* apply a natural box layout model to all elements */
*, *:before, *:after {
    box-sizing: border-box;
}

body {
    font-family: "Raleway", serif;
    line-height: 1.5;
    background: url(../images/background.jpg) no-repeat fixed 50%;
    background-size: cover;
    padding: 0;
    margin: 0;
}

h1, h2, h3, h4 {
    font-family: "Raleway", sans-serif;
    font-weight: 400;
    margin: 0;
}

/* HEADER
----------*/
header {
    text-align: center;
    padding-bottom: 50px;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.50);
}

section h1,
header h2 {
    text-transform: uppercase;
}

header h1 {
    font-family: "Pacifico", Georgia, cursive;
    font-size: 80px;
    color: #0B5351;
    padding-top: 60px;
}

    header h1 span {
        padding: 1px;
        -webkit-text-stroke: 1px;
    }

header h2 {
    color: #0B5351;
}

    header h2 span {
        padding: 1px;
        -webkit-text-stroke: 1px;
    }

nav {
    background-color: #0B5351;
    z-index: 1;
    padding-bottom: 5px;
    padding-top: 5px;
}

nav a {
    padding-bottom: 10px;
    padding-right: 10px;
    font-weight: bold;
    font-size: large;
}

.sticky {
  position: fixed;
  top: 0;
  width: 100%;
}


header h2,
section h1 {
    font-size: 32px;
}

section h1 {
    border-bottom: 1px solid #ccc;
    margin-bottom: 20px;
    font-weight: bold;
}

/* every other section element, 
starting with the second section */
section:nth-child(2n+1) {
    background: #fefefe;
}

section:nth-child(2n+2) {
    color: #90C2E7;
    background: rgba(0, 0, 0, 0.8);
    font-weight: bold;
}

a {
    color: #90C2E7;
}

a.dark {
    color: #0B5351;
}
    a:hover {
        text-decoration: none;
    }

ul {
    padding-left: 20px;
}

    ul li {
        margin-bottom: 5px;
    }

.content-wrap {
    display: flex;
    width: 80%;
    max-width: 1000px;
    margin: 0 auto;
    padding: 90px 0;
    overflow: auto;
}

.logo {
    background-color: #0B5351;
    width: 100%;
    text-align: center;
    padding-top: 10px;
}


/* ABOUT ME / PROFILE
----------------------*/
.profile .content-wrap {
    justify-content: space-between;
    align-items: flex-start;
}

.profile h1 {
    background: #0B5351;
    display: inline-block;
    padding: 10px 20px;
    transform: rotate(-4deg);
    margin-bottom: 10px;
    border: none;
}

.profile-image {
    flex-basis: 27%;
    margin-right: 3%;
    padding: 4px;
    border: 1px solid #ddd;
    border-radius: 50%;
    max-width: 400px;
}


/* WORK EXPERIENCE & EDUCATION
-------------------------------*/
/* job & education entries */
.item {
    display: flex;
    overflow: hidden;
    border-bottom: 1px solid #ccc;
    margin-bottom: 20px;
    padding: 20px 0;
}

    .item:last-child {
        border-bottom: none;
        margin-bottom: 0;
    }


/* WORK EXPERIENCE
-------------------*/
.process .content-wrap {
    flex-direction: column;
}

.process h3 {
    line-height: 1.25;
    font-size: 16px;
}

.process a:hover {
    color: black;
}

.process .details {
    flex: 0 0 30%;
    padding-right: 30px;
}

.process .description {
    font-size: 14px;
    margin-top: 5px;
}

    .process .description p:first-child {
        margin-top: 3px;
    }

.step {
    font-family: "Pacifico", Georgia, cursive;
    font-size: 20px;
    letter-spacing: 0.1em;
    color: #0B5351;
}

/* EDUCATION
-------------*/
.education .content-wrap {
    flex-direction: column;
}

.education h2 {
    text-transform: uppercase;
    font-weight: bold;
}

.education h3 {
    color: #00A9A5;
    font-weight: bold;
}

.education .item {
    flex-direction: column;
}


/* CONTACT & FOOTER 
--------------------*/
.contact {
    background: #111;
}

    .contact .content-wrap {
        flex-wrap: wrap;
    }

    .contact h1 {
        flex-basis: 100%;
        order: 1;
    }

    .contact p {
        margin: 0;
    }

    .contact .social {
        flex-basis: 50%;
        text-align: right;
        font-size: 30px;
        order: 3;
    }

        .contact .social a {
            margin: 0 8px;
        }

    .contact .info {
        flex-basis: 50%;
        order: 2;
    }

footer {
    font-size: 12px;
    margin-top: 50px;
    flex-basis: 100%;
    order: 4;
}


/* MEDIA QUERIES
--------------------*/
@media (max-width: 800px) {
    /* this is here just for testing */
    body {
        /*color: blue;*/
    }

    header h1 {
        padding-top: 25px
    }

    /* About section */
    .profile-image {
        width: 48%;
        margin: 0 0 0 2%;
        order: 1;
    }

    .logo {
        padding-top: 10px;
        max-height: 100px;
    }

    .logo img {
        max-height: 85px
    }

    .item {
        flex-direction: column; /* Change the orientation from 'row' to 'column'. */
    }

    .work-experience .details {
        flex-basis: 100%; /* Take up 100% of the horizontal space. */
        padding-right: 0px; /* Don't need padding anymore now that it spans across the page. */
    }

    .work-experience .description {
        flex-basis: 100%; /* Take up 100% of the horizontal space. */
    }
}

@media (max-width: 600px) {
    header {
        background-color: rgba(255, 255, 255, 0.50);
    }

        header h1 {
            font-size: 45px;
        }
        header h1 span {
            background-color: rgba(255, 255, 255, 0.00);
        }
        header h2 span {
            background-color: rgba(255, 255, 255, 0.00);
        }

        header h2,
        section h1 {
            font-size: 24px;
        }

    .education h2 {
        font-size: 18px;
    }

    .contact .social {
        flex-basis: 100%; /* Take up 100% of the horizontal space. */
        
        text-align: left; /* Align the icons to the left. */
        margin-bottom: 20px;
    }

    .contact .info {
        flex-basis: 100%; /* Take up 100% of the horizontal space. */
    }

    .profile .content-wrap {
        display: block;
        padding: 40px 0;
    }

    .profile-image {
        width: 48%;
        margin: 0 0 0 30%;
        order: 1;
    }
}
